Package org.lwjgl.opengl

# Class EXTShaderImageLoadStore

java.lang.Object
org.lwjgl.opengl.EXTShaderImageLoadStore

public final class EXTShaderImageLoadStore extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALL_BARRIER_BITS_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_ATOMIC_COUNTER_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_BUFFER_UPDATE_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_COMMAND_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_ELEMENT_ARRAY_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_FRAMEBUFFER_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_IMAGE_1D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_1D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_MULTISAMPLE_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_MULTISAMPLE_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_RECT_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_3D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_BINDING_ACCESS_EXT`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_FORMAT_EXT`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LAYER_EXT`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LAYERED_EXT`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LEVEL_EXT`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_NAME_EXT`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BUFFER_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_CUBE_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_CUBE_MAP_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_1D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_1D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_MULTISAMPLE_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_RECT_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_3D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_BUFFER_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_CUBE_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_CUBE_MAP_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_IMAGE_SAMPLES_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_IMAGE_UNITS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_PIXEL_BUFFER_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_SHADER_IMAGE_ACCESS_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_TEXTURE_FETCH_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_TEXTURE_UPDATE_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_TRANSFORM_FEEDBACK_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_UNIFORM_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:
`static final int`
`GL_UNSIGNED_INT_IMAGE_1D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_1D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_RECT_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_3D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_BUFFER_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_CUBE_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT_EXT`
Accepted by the <barriers> parameter of MemoryBarrierEXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindImageTextureEXT(int index, int texture, int level, boolean layered, int layer, int access, int format)`
`static void`
`glMemoryBarrierEXT(int barriers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_IMAGE_UNITS_EXT

public static final int GL_MAX_IMAGE_UNITS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS_EXT

public static final int GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_IMAGE_SAMPLES_EXT

public static final int GL_MAX_IMAGE_SAMPLES_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_NAME_EXT

public static final int GL_IMAGE_BINDING_NAME_EXT
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LEVEL_EXT

public static final int GL_IMAGE_BINDING_LEVEL_EXT
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LAYERED_EXT

public static final int GL_IMAGE_BINDING_LAYERED_EXT
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LAYER_EXT

public static final int GL_IMAGE_BINDING_LAYER_EXT
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_ACCESS_EXT

public static final int GL_IMAGE_BINDING_ACCESS_EXT
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_FORMAT_EXT

public static final int GL_IMAGE_BINDING_FORMAT_EXT
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT_EXT

public static final int GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_BARRIER_BIT_EXT

public static final int GL_ELEMENT_ARRAY_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_UNIFORM_BARRIER_BIT_EXT

public static final int GL_UNIFORM_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_TEXTURE_FETCH_BARRIER_BIT_EXT

public static final int GL_TEXTURE_FETCH_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_ACCESS_BARRIER_BIT_EXT

public static final int GL_SHADER_IMAGE_ACCESS_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_COMMAND_BARRIER_BIT_EXT

public static final int GL_COMMAND_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_PIXEL_BUFFER_BARRIER_BIT_EXT

public static final int GL_PIXEL_BUFFER_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_TEXTURE_UPDATE_BARRIER_BIT_EXT

public static final int GL_TEXTURE_UPDATE_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_BUFFER_UPDATE_BARRIER_BIT_EXT

public static final int GL_BUFFER_UPDATE_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BARRIER_BIT_EXT

public static final int GL_FRAMEBUFFER_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BARRIER_BIT_EXT

public static final int GL_TRANSFORM_FEEDBACK_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BARRIER_BIT_EXT

public static final int GL_ATOMIC_COUNTER_BARRIER_BIT_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_ALL_BARRIER_BITS_EXT

public static final int GL_ALL_BARRIER_BITS_EXT
Accepted by the <barriers> parameter of MemoryBarrierEXT:

See Also:
  - Constant Field Values

### GL_IMAGE_1D_EXT

public static final int GL_IMAGE_1D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_EXT

public static final int GL_IMAGE_2D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_3D_EXT

public static final int GL_IMAGE_3D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_RECT_EXT

public static final int GL_IMAGE_2D_RECT_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_CUBE_EXT

public static final int GL_IMAGE_CUBE_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_BUFFER_EXT

public static final int GL_IMAGE_BUFFER_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_1D_ARRAY_EXT

public static final int GL_IMAGE_1D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_ARRAY_EXT

public static final int GL_IMAGE_2D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_CUBE_MAP_ARRAY_EXT

public static final int GL_IMAGE_CUBE_MAP_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_MULTISAMPLE_EXT

public static final int GL_IMAGE_2D_MULTISAMPLE_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_MULTISAMPLE_ARRAY_EXT

public static final int GL_IMAGE_2D_MULTISAMPLE_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_1D_EXT

public static final int GL_INT_IMAGE_1D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_EXT

public static final int GL_INT_IMAGE_2D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_3D_EXT

public static final int GL_INT_IMAGE_3D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_RECT_EXT

public static final int GL_INT_IMAGE_2D_RECT_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_CUBE_EXT

public static final int GL_INT_IMAGE_CUBE_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_BUFFER_EXT

public static final int GL_INT_IMAGE_BUFFER_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_1D_ARRAY_EXT

public static final int GL_INT_IMAGE_1D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_ARRAY_EXT

public static final int GL_INT_IMAGE_2D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_CUBE_MAP_ARRAY_EXT

public static final int GL_INT_IMAGE_CUBE_MAP_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_MULTISAMPLE_EXT

public static final int GL_INT_IMAGE_2D_MULTISAMPLE_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT

public static final int GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_1D_EXT

public static final int GL_UNSIGNED_INT_IMAGE_1D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_EXT

public static final int GL_UNSIGNED_INT_IMAGE_2D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_3D_EXT

public static final int GL_UNSIGNED_INT_IMAGE_3D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_RECT_EXT

public static final int GL_UNSIGNED_INT_IMAGE_2D_RECT_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_CUBE_EXT

public static final int GL_UNSIGNED_INT_IMAGE_CUBE_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_BUFFER_EXT

public static final int GL_UNSIGNED_INT_IMAGE_BUFFER_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_1D_ARRAY_EXT

public static final int GL_UNSIGNED_INT_IMAGE_1D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_ARRAY_EXT

public static final int GL_UNSIGNED_INT_IMAGE_2D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY_EXT

public static final int GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_EXT

public static final int GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT

public static final int GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

## Method Details

### glBindImageTextureEXT

public static void glBindImageTextureEXT(int index, int texture, int level, boolean layered, int layer, int access, int format)

### glMemoryBarrierEXT

public static void glMemoryBarrierEXT(int barriers)